package com.zcloud.mapper.datasource.majordangersource;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：重大危险源
 * 作者：luoxiaobao
 * 时间：2022-03-22
 * 官网：www.zcloudchina.com
 */
public interface MajorDangerSourceMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	void deleteAll(PageData pd);

	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> findByIds(PageData pd);

	/**
	 * 列表（实时监控获取所有的重大危险源）
	 * @param pd
	 * @return
	 */
	List<PageData> findRealTimeMonitoringListAll(PageData pd);

	/**
	 * 重大危险源统计数据（重大危险源【COUNTSOURCE】，检测点数【COUNTSENSOR】，检测天数【COUNTDAYS】）
	 * @param pd
	 * @return
	 */
    PageData statisticsMajorDangerSource(PageData pd);

	/**
	 * 分类统计各申报级别的重大危险源数
	 * @param pd
	 * @return
	 */
	List<PageData> statisticsGroupLevel(PageData pd);

	PageData dangerSourceIndex(PageData pageData);
}

